﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataGridDateTimeEditorTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            
            for(int i=0; i<10; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,
                    Date = DateTime.Now.AddMinutes(i),
                    UnboundDate = DateTime.Now.AddHours(i)
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public DateTime Date { get; set; }
        public DateTime UnboundDate { get; set; }
    }
}
